Neuroanalysis
=============

Modular and interactive tools for analysis of neurophysiology data, with emphasis on 
patch-clamp electrophysiology.

* Functions for running common analysis algorithms
    * Synaptic/calcium event detection and characterization
    * Synaptic release modeling
    * VC and CC spike detection and characterization
    * VC and CC test pulse analysis
    * Basic signal processing (filtering, baseline removal, etc.)
* Data abstraction layer to allow adapting new data formats (see neuroanalysis/data.py)
* Re-usable user interface elements for implementing common analysis tasks


Status
------

This project is early in development and does not yet have a stable API.
Issues and pull requests are accepted (see CONTRIBUTING.md), but may not be 
reviewed or accepted on any fixed schedule.





